-- El el penultimo frame de la animacion COMBO1 la kk escupe
-- asi que entre que termina el antepenultimo y se pone el ultimo 
-- se lanza la espada

if ( Accion(N_FRAME_ACTUAL) == ( Accion(N_FRAMES) -2 ) )
   and Accion(ANI_SEL,"ANI_COMBO1") 
then
   dofile(PATH.."tiraEspada.lua")
end

-- al terminar primer frame de PUNCH3/KICK1 coje velocidad hacia delante
-- si no esta saltando

if ( Accion(N_FRAME_ACTUAL) == 1 )
   and ( Accion(ANI_SEL,"ANI_PUNCH3") or Accion(ANI_SEL,"ANI_KICK1") )
   and ( not Accion(SALTANDO) )
then
   Accion(SET_SALTOX, Accion(GET_SALTOX) + ( 0.2 * Accion(GET_FLIP) ) )
end

	